---
schema_version: "1"
id: 7098e76c6d9a8cc6ec533fcd2dc1543317167ce16e2d0790a04c37dd6a831cbd
title: Savings Account
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/industries-integrations/financial_services/references/generated-api-specs/savings_account.md
canonical_url: https://developer.salesforce.com/docs/industries/fsc/references/savings_account
source_site: developer.salesforce.com
content_type: documentation
content_hash: 6d97618cfbf64c13fe8c9ae37f1d2c31c6cdec40d5ce4b88a5fd31fc1598b202
products:
  - Agentforce Financial Services
  - Industries Integrations
---
Savings Account

# Savings Account

Use the Savings Account API to orchestrate a customer's savings account.

**Version:** v1

Protocols: HTTPS.

## /SavingsAccount/{savingsaccountId}/Checks

Specifies the checks that are issued for the account.

## /SavingsAccount/{savingsaccountId}/IssuedDevice

Specifies the allocation of a device to a customer. For example, a debit card or an ATM card.

## Operations

### GET Get card details

`GET /SavingsAccount/{savingsaccountId}/Retrieve`

Get the card's balances and expenditure limits.

#### Parameters

*   `savingsaccountId` (path, string, required) Specifies the account ID of the financial account.  
    Example: `01axx000003MLytAAG`.

#### Responses

*   **200** Card details retrieved.
    
    Media type: `application/json`. Schema: `GetCardResponse`.
    
*   **400** The server couldn’t process the request due to a client error.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "400"
    errorMessage: Invalid request message.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **401** The server couldn't find any valid credentials to access the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "401"
    errorMessage: Required credentials are missing or invalid.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **403** The server denied access to the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "403"
    errorMessage: Access to the requested resource was denied.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **404** The server couldn’t find the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "404"
    errorMessage: Requested resource was not found.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **405** The request method isn't supported for the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "405"
    errorMessage: The target resource does not support the requested method.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **406** The target resource didn't have a current representation that was acceptable to the user agent.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "406"
    errorMessage: The requested resource cannot generate acceptable content according to the Accept headers sent in the request.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **415** The Accept header specified an unsupported media type.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "415"
    errorMessage: The server denied the request because it is not in a format supported by the target resource.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **429** The server exceeded the API request rate limit.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "429"
    errorMessage: The server denied the request due to exceeded rate limits.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **500** An internal error occurred while processing the API request.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "500"
    errorMessage: The server was unable to process the request due to an internal error.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    

### PUT Close savings account

`PUT /SavingsAccount/{savingsaccountId}/Update`

Accept the request to close the savings account.

#### Parameters

*   `savingsaccountId` (path, string, required) Specifies the account ID of the financial account.  
    Example: `01axx000003MLytAAG`.

#### Request body

Media type: `application/json`. Schema: `SavingsAccountClosureRequest`.

#### Responses

*   **200** Savings account closer request details.
    
    Media type: `application/json`. Schema: `SavingsAccountClosureResponse`.
    
*   **400** The server couldn’t process the request due to a client error.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "400"
    errorMessage: Invalid request message.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **401** The server couldn't find any valid credentials to access the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "401"
    errorMessage: Required credentials are missing or invalid.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **403** The server denied access to the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "403"
    errorMessage: Access to the requested resource was denied.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **404** The server couldn’t find the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "404"
    errorMessage: Requested resource was not found.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **405** The request method isn't supported for the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "405"
    errorMessage: The target resource does not support the requested method.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **406** The target resource didn't have a current representation that was acceptable to the user agent.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as GET /SavingsAccount/{savingsaccountId}/Retrieve 406 response._
    
*   **415** The Accept header specified an unsupported media type.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as GET /SavingsAccount/{savingsaccountId}/Retrieve 415 response._
    
*   **429** The server exceeded the API request rate limit.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "429"
    errorMessage: The server denied the request due to exceeded rate limits.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **500** An internal error occurred while processing the API request.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "500"
    errorMessage: The server was unable to process the request due to an internal error.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    

### GET Get the status of the check.

`GET /SavingsAccount/{savingsaccountId}/Checks/{checkNumber}/Retrieve`

Get the status of the check for the account.

#### Parameters

*   `savingsaccountId` (path, string, required) Specifies the account ID of the financial account.  
    Example: `01axx000003MLytAAG`.
*   `checkNumber` (path, string, required) The unique number that's printed on an individual check, used to retrieve the status of the check.  
    Example: `045684`.

#### Responses

*   **200** Check status retrieved.
    
    Media type: `application/json`. Schema: `RetrieveCheckStatusResponseType`.
    
*   **400** The server couldn’t process the request due to a client error.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "400"
    errorMessage: Invalid request message.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **401** The server couldn't find any valid credentials to access the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "401"
    errorMessage: Required credentials are missing or invalid.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **403** The server denied access to the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "403"
    errorMessage: Access to the requested resource was denied.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **404** The server couldn’t find the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "404"
    errorMessage: Requested resource was not found.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **405** The request method isn't supported for the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "405"
    errorMessage: The target resource does not support the requested method.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **406** The target resource didn't have a current representation that was acceptable to the user agent.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as GET /SavingsAccount/{savingsaccountId}/Retrieve 406 response._
    
*   **415** The Accept header specified an unsupported media type.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as GET /SavingsAccount/{savingsaccountId}/Retrieve 415 response._
    
*   **429** The server exceeded the API request rate limit.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "429"
    errorMessage: The server denied the request due to exceeded rate limits.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **500** An internal error occurred while processing the API request.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "500"
    errorMessage: The server was unable to process the request due to an internal error.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    

### GET Get card usage details

`GET /SavingsAccount/{savingsaccountId}/IssuedDevice/{issueddeviceId}/Retrieve`

Get the card's PIN, status and usgae related details.

#### Parameters

*   `savingsaccountId` (path, string, required) Specifies the account ID of the financial account.  
    Example: `01axx000003MLytAAG`.
*   `issueddeviceId` (path, string, required) For a debit card, the issueddeviceId property value is the debit card ID. For an ATM card, the issueddeviceId property value is the ATM card ID.  
    Example: `ATM001`.

#### Responses

*   **200** Card usage details retrieved.
    
    Media type: `application/json`. Schema: `GetCardUsageResponse`.
    
*   **400** The server couldn’t process the request due to a client error.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "400"
    errorMessage: Invalid request message.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **401** The server couldn't find any valid credentials to access the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "401"
    errorMessage: Required credentials are missing or invalid.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **403** The server denied access to the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "403"
    errorMessage: Access to the requested resource was denied.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **404** The server couldn’t find the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "404"
    errorMessage: Requested resource was not found.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **405** The request method isn't supported for the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "405"
    errorMessage: The target resource does not support the requested method.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **406** The target resource didn't have a current representation that was acceptable to the user agent.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as GET /SavingsAccount/{savingsaccountId}/Retrieve 406 response._
    
*   **415** The Accept header specified an unsupported media type.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as GET /SavingsAccount/{savingsaccountId}/Retrieve 415 response._
    
*   **429** The server exceeded the API request rate limit.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "429"
    errorMessage: The server denied the request due to exceeded rate limits.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **500** An internal error occurred while processing the API request.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "500"
    errorMessage: The server was unable to process the request due to an internal error.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    

### POST Validate card

`POST /SavingsAccount/{savingsaccountId}/IssuedDevice/{issueddeviceId}/Validate`

Verify if the customer's card is valid.

#### Parameters

*   `savingsaccountId` (path, string, required) Specifies the account ID of the financial account.  
    Example: `01axx000003MLytAAG`.
*   `issueddeviceId` (path, string, required) For a debit card, the issueddeviceId property value is the debit card ID. For an ATM card, the issueddeviceId property value is the ATM card ID.  
    Example: `ATM001`.

#### Request body

Media type: `application/json`. Schema: `ValidateCardRequest`.

#### Responses

*   **201** Card information validated.
    
    Media type: `application/json`. Schema: `ValidateCardResponse`.
    
*   **400** The server couldn’t process the request due to a client error.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "400"
    errorMessage: Invalid request message.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **401** The server couldn't find any valid credentials to access the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "401"
    errorMessage: Required credentials are missing or invalid.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **403** The server denied access to the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "403"
    errorMessage: Access to the requested resource was denied.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **404** The server couldn’t find the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "404"
    errorMessage: Requested resource was not found.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **405** The request method isn't supported for the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "405"
    errorMessage: The target resource does not support the requested method.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **406** The target resource didn't have a current representation that was acceptable to the user agent.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as GET /SavingsAccount/{savingsaccountId}/Retrieve 406 response._
    
*   **415** The Accept header specified an unsupported media type.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as GET /SavingsAccount/{savingsaccountId}/Retrieve 415 response._
    
*   **429** The server exceeded the API request rate limit.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "429"
    errorMessage: The server denied the request due to exceeded rate limits.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **500** An internal error occurred while processing the API request.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "500"
    errorMessage: The server was unable to process the request due to an internal error.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    

### PUT Update card details

`PUT /SavingsAccount/{savingsaccountId}/IssuedDevice/{issueddeviceId}/Update`

Reset the card's PIN, and manage and update the card details.

#### Parameters

*   `savingsaccountId` (path, string, required) Specifies the account ID of the financial account.  
    Example: `01axx000003MLytAAG`.
*   `issueddeviceId` (path, string, required) For a debit card, the issueddeviceId property value is the debit card ID. For an ATM card, the issueddeviceId property value is the ATM card ID.  
    Example: `ATM001`.

#### Request body

Media type: `application/json`. Schema: `UpdateCardRequest`.

#### Responses

*   **200** Card details updated.
    
    Media type: `application/json`. Schema: `UpdateCardResponse`.
    
*   **400** The server couldn’t process the request due to a client error.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "400"
    errorMessage: Invalid request message.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **401** The server couldn't find any valid credentials to access the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "401"
    errorMessage: Required credentials are missing or invalid.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **403** The server denied access to the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "403"
    errorMessage: Access to the requested resource was denied.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **404** The server couldn’t find the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "404"
    errorMessage: Requested resource was not found.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **405** The request method isn't supported for the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "405"
    errorMessage: The target resource does not support the requested method.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **406** The target resource didn't have a current representation that was acceptable to the user agent.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as GET /SavingsAccount/{savingsaccountId}/Retrieve 406 response._
    
*   **415** The Accept header specified an unsupported media type.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as GET /SavingsAccount/{savingsaccountId}/Retrieve 415 response._
    
*   **429** The server exceeded the API request rate limit.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "429"
    errorMessage: The server denied the request due to exceeded rate limits.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **500** An internal error occurred while processing the API request.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "500"
    errorMessage: The server was unable to process the request due to an internal error.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    

## Schemas

### GetCardResponse

Specifies the response to the get card details.

*   `CurrencyCode` (_string_, required) The currency code for the account.  
    Example: `USD`.
*   `PositionLimits` (_array of PositionLimitType_, required)  
    Minimum items: 1.

_Example_

```
{
    "CurrencyCode": "USD",
    "PositionLimits": [
        {
            "LimitType": "DebitWithdrawal",
            "LimitAmount": {
                "AmountValue": {
                    "Value": "5000"
                }
            },
            "LimitFrequency": {
                "FrequencyCode": "Daily"
            },
            "LimitStatus": {
                "LimitStatusType": "Enabled"
            }
        },
        {
            "LimitType": "AtmWithdrawal",
            "LimitAmount": {
                "AmountValue": {
                    "Value": "5000"
                }
            },
            "LimitFrequency": {
                "FrequencyCode": "Daily"
            },
            "LimitStatus": {
                "LimitStatusType": "Enabled"
            }
        },
        {
            "LimitType": "DebitPurchase",
            "LimitAmount": {
                "AmountValue": {
                    "Value": "10000"
                }
            },
            "LimitFrequency": {
                "FrequencyCode": "Daily"
            },
            "LimitStatus": {
                "LimitStatusType": "Enabled"
            }
        }
    ]
}
```

### ErrorResponse

Represents a standard message body to be returned with the error responses.

*   `errorCode` (_string_, required) The short code to identify the error.  
    Example: `INVALID_PARAMETER`.
*   `errorMessage` (_string_, required) The verbose, human-readable error message.  
    Example: `The value you entered is out of bounds`.
*   `transactionId` (_string_, required) The request identifier.  
    Example: `dd960082-abbf-47c2-8c65-f18eeb35848b`.
*   `timeStamp` (_datetime_, required) The event date and time.  
    Example: `2019-09-23T11:46:44.256-05:00`.

### SavingsAccountClosureRequest

Details of the request to close the savings account.

*   `Status` (_string_, required) The status of the savings account.  
    Example: `CLOSED`.
*   `ReasonForClosure` (_string_) The reason for closing the savings account.  
    Example: `Fraud Prevention`.

### SavingsAccountClosureResponse

Response details for the savings account closure request.

*   `SavingsAccountId` (_string_, required) The unique ID of the savings account.  
    Example: `3489`.
*   `Status` (_string_, required) The status of the request to close the savings account. Valid values are Success and Failure.  
    Example: `Success`.
*   `AccountClosureStatus` (_string_, required) The account closure status of the savings account.  
    Example: `CLOSED`.

### RetrieveCheckStatusResponseType

The detailed information and processing status of a check.

*   `checkNumber` (_string_, required) The unique number that's printed on an individual check.  
    Example: `045684`.
*   `checkBookNumber` (_string_, required) The unique identifier that's assigned to a checkbook that contains a series of checks.  
    Example: `CB202509`.
*   `checkIssueDate` (_date-only_, required) The date on which the check is issued.  
    Example: `2025-11-20`.
*   `Amount` (_number_, required) The amount that's mentioned on the check.  
    Example: `2000`.
*   `payee` (_string_, required) The name of the individual or organization to whom the check is payable.  
    Example: `David Williams`.
*   `statusCode` (_string_, required)
    
    A system-defined code that indicates the current processing state of the check. Valid values are:
    
    *   ISS - Issued
    *   CLRD - Cleared
    *   PRST - Presented
    *   RTND - Returned
    *   STOP - Canceled
    *   EXPD - Expired
    
      
    Example: `RTND`.
*   `statusDescription` (_string_, required) Description for the status code.  
    Example: `Check has been returned`.
*   `presentmentDate` (_date-only_) The date on which the check is submitted to the bank for payment.  
    Example: `2025-12-05`.
*   `clearingDate` (_date-only_) The date on which the check is cleared. This field is empty if the check isn't cleared.  
    Example: `2025-12-10`.
*   `returnReasonCode` (_string_) A system-defined code that indicates the reason the check is returned unpaid.  
    Example: `NSF`.
*   `returnReasonDescription` (_string_) Description of the return reason.  
    Example: `Insufficient funds`.

### GetCardUsageResponse

Specifies the response for the card usage.

*   `CardDetails` (_object_, required)
    
    Includes all fields of `ResetPinRequestType`, `UpdateCardUsageRequestType`.
    
    *   `CardType` (_string_, required) The type of card. Valid values are ATM Card and Debit Card.  
        Example: `Debit Card`.

### ValidateCardRequest

Specifies the details of the request to validate the card.

*   `CardType` (_string_, required) The type of card. Valid values are ATM Card and Debit Card.  
    Example: `Debit Card`.
*   `CVV` (_string_) The 3 or 4-digit security code that appears on the card following the card number.  
    Example: `352`.
*   `CardExpiryMonth` (_string_, required) The month the card is scheduled to expire.  
    Example: `11`.
*   `CardExpiryYear` (_string_, required) The year the card is scheduled to expire.  
    Example: `2033`.
*   `SSN` (_string_) The last 4 digits of the Social Security Number (SSN).  
    Example: `8247`.

### ValidateCardResponse

Specifies the response to the request to validate the card.

*   `IsValid` (_string_, required) Indicates whether the card is valid (true) or not (false).  
    Example: `true`.

### UpdateCardRequest

Specifies the request details for the credit card usage.

*   `CardDetails` (_object_, required)
    
    Includes all fields of `ResetPinRequestType`, `UpdateCardUsageRequestType`.
    
    *   `CardType` (_string_, required) The type of card. Valid values are ATM Card and Debit Card.  
        Example: `Debit Card`.

### UpdateCardResponse

Specifies the response to the request to update the card.

*   `CardId` (_string_, required) The ID of the card against which the PIN is updated.  
    Example: `ATM001`.
*   `Status` (_string_, required) The status of the update card request. Valid values are Success and Failure.  
    Example: `Success`.

### PositionLimitType

Specifies the card usage type and limits of each.

*   `LimitType` (_string_, required) Type of limit imposed  
    Example: `AtmWithdrawal`.
*   `LimitAmount` (_object_, required)
    
    Includes all fields of `LimitAmountType`.
    
*   `LimitFrequency` (_object_, required) Specifies the periodicity linked to a limit for example the periodicity can indicate that the limit can be reached daily or monthly.
    *   `FrequencyCode` (_string_, required)  
        Example: `Daily`.
*   `LimitStatus` (_object_, required) Specifies current status of the limit.
    *   `LimitStatusType` (_string_, required)  
        Example: `Enabled`.

### ResetPinRequestType

Specifies the details of the reset PIN request type.

*   `PinResetDetails` (_object_) The PIN reset details object.
    
    Includes all fields of `ResetPinType`.
    

### UpdateCardUsageRequestType

Specifies the response to the credit card usage.

*   `CurrencyCode` (_string_) The currency code for the account.  
    Example: `USD`.
*   `IsLocked` (_string_) The locked status of the card.  
    Example: `true`.
*   `CardStatus` (_string_) The status of the card.  
    Example: `CLOSED`.
*   `CardUsageControls` (_object_)
    *   `MaxAvailableCreditLimit` (_string_) The maximum available credit limit of the card.  
        Example: `100`.
    *   `DomesticUsageControl` (_object_) The details of the domestic usage control.
        
        Includes all fields of `CardUsageControl`.
        
    *   `InternationalUsageControl` (_object_) The details of the international usage control.
        
        Includes all fields of `CardUsageControl`.
        

### LimitAmountType

Amount of money of the limit, expressed in a currency.

*   `AmountValue` (_object_, required) The Amount value details object.
    *   `Value` (_string_, required) The value for the field.  
        Example: `5000`.

### ResetPinType

Specifies the details of the request to reset the PIN type.

*   `ReasonForPinReset` (_string_, required) The reason for resetting the PIN.  
    Example: `Fraud Prevention`.

### CardUsageControl

Specifies the usage control details of the card.

*   `Tap&Pay` (_string_) Indicates whether the Tap and Pay feature of the card is active (true) or not (false).  
    Allowed values: `true`, `false`. Example: `true`.
*   `MerchantPos` (_string_) Indicates whether the merchant point-of-sale (POS) feature of the card is active (true) or not (false).  
    Allowed values: `true`, `false`. Example: `true`.
*   `OnlineTransaction` (_string_) Indicates whether the online transaction feature of the card is active (true) or not (false).  
    Allowed values: `true`, `false`. Example: `true`.
*   `AtmWithdrawal` (_string_) Indicates whether the ATM withdrawal feature of the card is active (true) or not (false).  
    Allowed values: `true`, `false`. Example: `true`.